# Заголовок проекта (как назовешь проект и сам гокс всавишь)

Проект предназначен для выполнения Лабораторных работ 1 и 2 по предмету "Поддержка и тестирование программных модулей". Программа позволяет вычислить в одномерном динамическом массиве, состоящем из n элементов,  сумму элементов массива, расположенных после минимального элемента.
## Начало работы

Для того, чтобы Вы смогли использовать данный проект на своем компьютере, необходимо:
1. Окрыть репозиторий с проектом.
2. Нажать на кнопку "Код".
3. Выбрать один из наиболее удобных вариантов в появившемся списке.

### Необходимые условия
Для работы с программой необходимо наличие среды разработки **Microsoft Visual Studio**.
Скачать наиболе полную интеграрованную среду разработки можно по [ссылке](https://visualstudio.microsoft.com/ru/downloads/).
Перед скачиванием не забудь проверить, что твое рабочее место соответтсвет требованиям. Сделать это можно с помощью штатной информационной утилиты System Information или Сведения о системе команды, выполнив запрос:
```
msinfo32
```
Аппаратные требования:
> **Процессор** с тактовой частотой не ниже 1,8 ГГц. Рекомендуется использовать как минимум двухъядерный процессор.

> **ОЗУ** 2 ГБ. Рекомендуется 8 ГБ ОЗУ (минимум 2,5 ГБ при выполнении на виртуальной машине).

> **Жесткий диск** до 210 ГБ (минимум 800 МБ) свободного места в зависимости от установленных компонентов, обычно для установки требуется от 20 до 50 ГБ свободного места. Скорость жесткого диска: для повышения производительности установите Windows и Visual Studio на твердотельный накопитель (SSD). |
> **Видеоадаптер** с минимальным разрешением 720p (1280 на 720 пикселей), для оптимальной работы Visual Studio рекомендуется разрешение WXGA (1366 на 768 пикселей) или более высокое. |

Программные требования:
Последняя версия Visual Studio поддерживается в следующих операционных системах x64-разрядных систем:
+ **Windows 11** версии 21H2 или более поздней: Домашняя, Pro, Pro для образовательных учреждений, Pro для рабочих станций, Корпоративная и для образовательных учреждений;
+ **Windows 10** версии 1909 или более поздних версий: Домашняя, Профессиональная, для образовательных учреждений и Корпоративная;
+ **Windows Server 2022**: Standard и Datacenter;
+ **Windows Server 2019**: Standard и Datacenter;
+ **Windows Server 2016**: Standard и Datacenter.

### Установка

1. Открыть Microsoft Visual Studio.
2. В окне "Начало работы" выбрать пункт "Открыть проект или решение".
3. Указать путь по sln-файла, скаченной программы (см. пункт "Начало работы").
4. Запусть открывшееся приложение - F5 или кнопка "Пуск".
5. Ввести требуемые данные:

```C#
Введите количество элементов массива (2-20): 5
```

```C#
Введите 1 элемент массива: 1
Введите 2 элемент массива: 2
Введите 3 элемент массива: 3
Введите 4 элемент массива: 4
Введите 5 элемент массива: 5
```

В результате выполнения программы появится сообщение с итоговой суммой:
```C#
Сумма элементов массива после минимального: 14
```

## Авторы (тоже сам заполни, пожалуйста, фио - должность на проекте - ссылка на себя, обычно так это заполоняется)

* **Billie Thompson** - *Initial work* - [PurpleBooth](https://github.com/PurpleBooth)

See also the list of [contributors](https://github.com/your/project/contributors) who participated in this project.
